# Class Util.WildcardTypeImpl

java.lang.Object
com.ryanharter.auto.value.gson.internal.Util.WildcardTypeImpl

All Implemented Interfaces:
  `Type, WildcardType`

Enclosing class:
  `Util`

public static final class Util.WildcardTypeImpl extends Object implements WildcardType
The WildcardType interface supports multiple upper bounds and multiple lower bounds. We only support what the Java 6 language needs - at most one bound. If a lower bound is set, the upper bound must be Object.class.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`Type[]`
`getLowerBounds()`
`Type[]`
`getUpperBounds()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Type

`getTypeName`

## Method Details

### getUpperBounds

public Type[] getUpperBounds()

Specified by:
  `getUpperBounds` in interface `WildcardType`

### getLowerBounds

public Type[] getLowerBounds()

Specified by:
  `getLowerBounds` in interface `WildcardType`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`